curl "https://api.crbtrack.com/api/v1/labels/CBECUSD123456789" \
-H "X-API-Key: <YOUR_API_KEY>"
{
"trackingNumber": "CBECUSD123456789",
"labelUrl": "https://labels.crbtrack.com/CBECUSD123456789.pdf?token=abc123",
"format": "PDF",
"createdAt": "2024-12-21T10:30:00Z",
"printCount": 1
}
{
"success": false,
"error": {
"code": "LABEL_NOT_FOUND",
"message": "No label found for this tracking number",
"message_es": "No se encontró etiqueta para este número de seguimiento",
"requestId": "req_abc123"
}
}
Labels
Get Label
Get label metadata and download URL
GET
/
api
/
v1
/
labels
/
{trackingNumber}
curl "https://api.crbtrack.com/api/v1/labels/CBECUSD123456789" \
-H "X-API-Key: <YOUR_API_KEY>"
{
"trackingNumber": "CBECUSD123456789",
"labelUrl": "https://labels.crbtrack.com/CBECUSD123456789.pdf?token=abc123",
"format": "PDF",
"createdAt": "2024-12-21T10:30:00Z",
"printCount": 1
}
{
"success": false,
"error": {
"code": "LABEL_NOT_FOUND",
"message": "No label found for this tracking number",
"message_es": "No se encontró etiqueta para este número de seguimiento",
"requestId": "req_abc123"
}
}
Retrieves information about a shipping label, including the download URL.
Path Parameters
string
required
The tracking number of the parcel.
Response
string
The tracking number
string
URL to download the label (valid for 24 hours)
string
Label format:
PDF, ZPL, or PNGstring
When the label was generated
integer
Number of times the label has been downloaded
curl "https://api.crbtrack.com/api/v1/labels/CBECUSD123456789" \
-H "X-API-Key: <YOUR_API_KEY>"
{
"trackingNumber": "CBECUSD123456789",
"labelUrl": "https://labels.crbtrack.com/CBECUSD123456789.pdf?token=abc123",
"format": "PDF",
"createdAt": "2024-12-21T10:30:00Z",
"printCount": 1
}
{
"success": false,
"error": {
"code": "LABEL_NOT_FOUND",
"message": "No label found for this tracking number",
"message_es": "No se encontró etiqueta para este número de seguimiento",
"requestId": "req_abc123"
}
}